Package: org.grails.transaction

## [Java] Enum SpringTransactionSynchronizationManager

- org.grails.transaction.SpringTransactionSynchronizationManager

-     enum SpringTransactionSynchronizationManager
      extends java.lang.Enum

  SynchronizationManager delegating calls to Spring's org.springframework.transaction.support.TransactionSynchronizationManager.

  Authors:
    Michael Hunger
    Oliver Gierke
  Since:
    2.3.6

- - ### Enum Constants Summary

    Enum constants classes
    Enum constant | Description
    --- | ---
    `INSTANCE` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `clearSynchronization()`
    `` | `public void` | `initSynchronization()`
    `` | `public boolean` | `isSynchronizationActive()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Enum` | `java.lang.Enum#name(), java.lang.Enum#equals(java.lang.Object), java.lang.Enum#toString(), java.lang.Enum#hashCode(), java.lang.Enum#compareTo(java.lang.Object), java.lang.Enum#compareTo(java.lang.Enum), java.lang.Enum#valueOf(java.lang.Class, java.lang.String), java.lang.Enum#getDeclaringClass(), java.lang.Enum#ordinal(), java.lang.Enum#wait(long), java.lang.Enum#wait(long, int), java.lang.Enum#wait(), java.lang.Enum#getClass(), java.lang.Enum#notify(), java.lang.Enum#notifyAll()`

- - ### Enum Constant Detail

    - #### public SpringTransactionSynchronizationManager INSTANCE

  - ### Method Detail

    - #### public void clearSynchronization()

    - #### public void initSynchronization()

    - #### public boolean isSynchronizationActive()